@import 'typography'
@import 'variables'

html
  background-color $wver-main
  color $wver-text-main
  font-family 'Source Sans Pro', sans-serif
  height 100vh
  margin 0
  max-height 100vh
  max-width 100vw
  min-height 100vh
  min-width 100vw
  overflow hidden
  padding 0
  width 100vw

.wver
  &-body
    align-content center
    align-items center
    align-self center
    background-color $wver-main
    display flex
    flex-flow column nowrap
    font-family 'Source Sans Pro', sans-serif
    justify-content flex-start
    margin 0
    order 0
    overflow hidden
    padding 0
  &-main
    align-content center
    align-items center
    align-self center
    background-color $wver-main
    display flex
    height 90%
    flex-flow row nowrap
    justify-content center
    max-height 90%
    max-width 100%
    min-height 90%
    min-width 100%
    order 1
    width 100%
  &-footer
    align-content center
    align-items center
    align-self center
    background-color $wver-main
    display flex
    font-family 'Source Code Pro', monospace
    height 5%
    justify-content center
    width 100%
    max-height 5%
    max-width 100%
    min-height 5%
    min-width 100%
    order 2
    width 100%

    &-content
      align-self center
      max-height 50%
      max-width 100%

      &-link
        text-decoration underline

  &-header
    align-content center
    align-items center
    align-self center
    background-color $wver-main
    display flex
    flex-flow row nowrap
    height 5%
    justify-content flex-start
    max-height 5%
    max-width 100%
    min-height 5%
    min-width 100%
    order 0
    width 100%

    &-content
      height 90%
      max-height 90%
      max-width 20%
      min-height 20%
      padding-left 2%

  &-spinny
    align-content center
    align-items center
    align-self center
    display flex
    flex-flow row nowrap
    height 50%
    justify-content center
    max-height 50%
    max-width 50%
    min-height 50%
    min-width 50%
    width 50%
    z-index 100000

    &-content
      align-content center
      align-items center
      align-self center
      border-radius 50%
      border 3px solid transparent
      border-top-color $asexual-blue
      display flex
      height 150px
      flex-flow row nowrap
      justify-content center
      width 150px

      &:before
        content ''
        position absolute
        top 5px
        left 5px
        right 5px
        bottom 5px
        border-radius 50%
        border 3px solid transparent
        border-top-color $happy-green

      &:after
        content ''
        position absolute
        top 15px
        left 15px
        right 15px
        bottom 15px
        border-radius 50%
        border 3px solid transparent
        border-top-color $yellow

::-webkit-scrollbar
  background $wver-main

::-webkit-scrollbar-thumb
  background rgba(33, 33, 33, 0.2)

@import './components/home_screen'
@import './components/app_screen'
@import './components/login_button'
@import './components/rev_list'
